<template>
  <v-runtime-template :template="template"></v-runtime-template>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  data: function () {
    return {}
  },
  props: {
    appWindowIdent: null
  },
  computed: {
    ...mapGetters('csAppWindowsUtils', [
      'getAppWindowViewHTML',
      'getAppWindowDataSetCurrentRow'
    ]),
    template: function () {
      let path = 'configuration/definitions/' +
        this.appWindowIdent +
        '/' +
        this.appWindowIdent +
        '.html'
      return require(path)
    }
  },
  methods: {
    dataSetCurrentRow: function (dataSetIdent) {
      return this.getAppWindowDataSetCurrentRow(this.appWindowIdent, dataSetIdent)
    }
  }
}</script>
